// DialogCar.cpp : implementation file
//

#include "stdafx.h"
#include "TestDialog.h"
#include "DialogCar.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogCar dialog


CDialogCar::CDialogCar(CWnd* pParent /*=NULL*/)
	: CDaoDialog(CDialogCar::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogCar)
	m_pSet = NULL;
	//}}AFX_DATA_INIT
	m_pSet=new CCarSet();
	m_pSet->Open(); 
	SetRecorset(m_pSet);
}


void CDialogCar::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogCar)
	DDX_FieldText(pDX, IDC_EDIT1, m_pSet->m_ID_CAR, m_pSet);
	DDX_FieldText(pDX, IDC_EDIT2, m_pSet->m_NAME_CAR, m_pSet);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogCar, CDialog)
	//{{AFX_MSG_MAP(CDialogCar)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON_FIRST, OnButtonFirst)
	ON_BN_CLICKED(IDC_BUTTON_PREV, OnButtonPrev)
	ON_BN_CLICKED(IDC_BUTTON_NEXT, OnButtonNext)
	ON_BN_CLICKED(IDC_BUTTON_LAST, OnButtonLast)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogCar message handlers

void CDialogCar::OnDestroy() 
{
	CDialog::OnDestroy();
	delete m_pSet;	
}

void CDialogCar::OnButtonFirst() 
{
	First();
}

void CDialogCar::OnButtonPrev() 
{
	Prev();
}

void CDialogCar::OnButtonNext() 
{
Next();
}

void CDialogCar::OnButtonLast() 
{
Last();
}
