// DriverSet.cpp : implementation file
//

#include "stdafx.h"
#include "TestDialog.h"
#include "DriverSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDriverSet

IMPLEMENT_DYNAMIC(CDriverSet, CDaoRecordset)

CDriverSet::CDriverSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CDriverSet)
	m_ID_DRIVER = 0;
	m_NAME_DRIVER = _T("");
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CDriverSet::GetDefaultDBName()
{
	return _T("D:\\V\\TestDialog\\testdao2.mdb");
}

CString CDriverSet::GetDefaultSQL()
{
	return _T("[driver]");
}

void CDriverSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CDriverSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[ID_DRIVER]"), m_ID_DRIVER);
	DFX_Text(pFX, _T("[NAME_DRIVER]"), m_NAME_DRIVER);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CDriverSet diagnostics

#ifdef _DEBUG
void CDriverSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CDriverSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
