// CarSet.cpp : implementation file
//

#include "stdafx.h"
#include "TestDialog.h"
#include "CarSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCarSet

IMPLEMENT_DYNAMIC(CCarSet, CDaoRecordset)

CCarSet::CCarSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CCarSet)
	m_ID_CAR = 0;
	m_NAME_CAR = _T("");
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CCarSet::GetDefaultDBName()
{
	return _T("D:\\V\\TestDialog\\testdao2.mdb");
}

CString CCarSet::GetDefaultSQL()
{
	return _T("[car]");
}

void CCarSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CCarSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[ID_CAR]"), m_ID_CAR);
	DFX_Text(pFX, _T("[NAME_CAR]"), m_NAME_CAR);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CCarSet diagnostics

#ifdef _DEBUG
void CCarSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CCarSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
