// DialogDriver.cpp : implementation file
//

#include "stdafx.h"
#include "TestDialog.h"
#include "DialogDriver.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogDriver dialog


CDialogDriver::CDialogDriver(CWnd* pParent /*=NULL*/)
	: CDaoDialog(CDialogDriver::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogDriver)
	m_pSet = NULL;
	//}}AFX_DATA_INIT
	m_pSet = new CDriverSet();
	m_pSet->Open();
	SetRecorset(m_pSet);
}


void CDialogDriver::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogDriver)
	DDX_FieldText(pDX, IDC_EDIT1, m_pSet->m_ID_DRIVER, m_pSet);
	DDX_FieldText(pDX, IDC_EDIT2, m_pSet->m_NAME_DRIVER, m_pSet);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogDriver, CDialog)
	//{{AFX_MSG_MAP(CDialogDriver)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON_FIRST, OnButtonFirst)
	ON_BN_CLICKED(IDC_BUTTON_PREV, OnButtonPrev)
	ON_BN_CLICKED(IDC_BUTTON_NEXT, OnButtonNext)
	ON_BN_CLICKED(IDC_BUTTON_LAST, OnButtonLast)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogDriver message handlers

void CDialogDriver::OnDestroy() 
{
	CDialog::OnDestroy();
	delete m_pSet;	
}

void CDialogDriver::OnButtonFirst() 
{
First();
}

void CDialogDriver::OnButtonPrev() 
{
Prev();
}

void CDialogDriver::OnButtonNext() 
{
Next();
	
}

void CDialogDriver::OnButtonLast() 
{
Last();
}
